const path = require('path');
const env = require('./environment');

const PUBLISH_PATH = 'politico-interactive-style';

const ROOT = env.AWS ? '/' : './';

const APP_ROOT = env.DEVELOPMENT ? '/' : PUBLISH_PATH.replace(/^\/?/, '/');

const OUTPUT_ROOT = path.join(ROOT, 'docs');
const OUTPUT_DIR = path.join(OUTPUT_ROOT, PUBLISH_PATH);

const TMP = env.AWS ? '/tmp' : path.resolve(__dirname, '../../tmp');
const DATA = path.join(TMP, 'data.json');

module.exports = {
  APP_ROOT,
  OUTPUT_ROOT,
  OUTPUT_DIR,
  PUBLISH_PATH,
  TMP,
  DATA,
};
