export default {
  title: 'Navigation',

  componentProps: [
    // {
    //   name: 'children',
    //   type: 'node',
    //   description: 'The content of the component',
    // },
  ],

  cssProps: [
    // {
    //   name: 'container',
    //   globalClass: 'PibTypography-container',
    //   description: 'Styles applied to container div',
    // },
  ],

  examples: [
    {
      code: `

<Navigation />

`,
    },
    {
      name: 'Magazine Navigation',
      description: 'If you\'re working on a Magazine piece set the "site" to "magazine".',
      code: `

<Navigation site="magazine" />

`,
    },
    {
      name: 'Dark Mode',
      description: 'You can switch between "light" and "dark" themes using the theme prop. Note that the default theme for the base nav is "light", but the default theme for the Magazine nav is "dark". Try changing the site to "magazine" and the "theme" to "light".',
      code: `

<Navigation theme="dark" />

`,
    },
  ],
};
