import { useCallback } from 'react';

export default function useTwitterHandler({ meta, handler, triggerNavigator }) {
  return useCallback(e => {
    e.preventDefault();
    handler();

    if (!triggerNavigator()) {
      window.open(`https://twitter.com/intent/tweet?text=${meta.status}`);
    }
  }, [meta.status, handler]);
}
