const path = require('path');
const paths = require('./paths');

// These aliases are shared across compilers.
module.exports = {
  Config: path.resolve(__dirname, '..'),
  Src: path.resolve(__dirname, '../../src/'),
  Components: path.join(__dirname, '../../src/components'),
  Common: path.join(__dirname, '../../src/components/common'),
  Content: path.join(__dirname, '../../src/content'),
  Utils: path.join(__dirname, '../../src/utils'),
  Stores: path.join(__dirname, '../../src/stores'),
  Theme: path.join(__dirname, '../../src/theme'),
  Data: paths.DATA,
  TMP: paths.TMP,
  'package.json': path.resolve(__dirname, '../../package.json'),
};
