import * as DocsLibrary from 'Components/docs';
import Page from 'Components/common/Page';
import Documentation from 'Components/common/Documentation';

const Component = (props) => {
  const { name } = props;
  const docs = DocsLibrary[name];

  return (
    <div className='app'>
      <Page>
        <Documentation {...docs} />
      </Page>
    </div>
  );
};

Component.getInitialProps = async function({ query }) {
  return query;
};

export default Component;
